Summary: Tools for managing Linux kernel packet filtering capabilities.
Name: ipchains
Version: 1.3.9
Release: 5
Copyright: GPL
Obsoletes: ipfwadm ipchains-scripts
Group: System Environment/Base
Source0: ftp://ftp.rustcorp.com/ipchains/ipchains-%{version}.tar.bz2
Source1: ftp://ftp.rustcorp.com/ipchains/ipchains-scripts-1.1.2.tar.gz
Source2: ftp://ftp.rustcorp.com/ipchains/ipchains-HOWTOs-1.0.7.tar.bz2
Source3: ipchains.init
Buildroot: /var/tmp/%{name}-root
Prereq: /sbin/chkconfig

%description 
Linux IP Firewalling Chains is an update to (and hopefully an
improvement upon) the Linux kernel packet filtering code. Ipchains
allows you to set up firewalls and IP masquerading, etc.

Install ipchains if you need to set up firewalling for your
network. You may also want to install ipchains-scripts.

%prep
%setup -q -a 1 -a 2

%build
COPTS=$RPM_OPT_FLAGS make -e
perl -pi -e 's/.//g' ipchains-HOWTOs-1.0.7/HOWTO.txt

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/man/man4,usr/man/man8}

make install SBIN=$RPM_BUILD_ROOT/sbin MANDIR=$RPM_BUILD_ROOT/usr/man
cp ipchains-scripts-1.1.2/{ipchains-restore,ipchains-save} $RPM_BUILD_ROOT/sbin
cp ipchains-scripts-1.1.2/ipfwadm-wrapper $RPM_BUILD_ROOT/sbin/ipfwadm
ln -sf ipfwadm $RPM_BUILD_ROOT/sbin/ipfwadm-wrapper
cp ipchains-scripts-1.1.2/{ipchains-restore.8,ipchains-save.8,ipfwadm-wrapper.8} $RPM_BUILD_ROOT/usr/man/man8

install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/ipchains

strip $RPM_BUILD_ROOT/sbin/ipchains

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ipchains

%preun
if [ $1 = 0 ] ; then
   /sbin/chkconfig --del ipchains
fi

%files
%defattr(-,root,root)
%doc ipchains-HOWTOs-1.0.7/*
%doc COPYING README ipchains-quickref.ps
%config /etc/rc.d/init.d/ipchains
/sbin/*
/usr/man/man*/*

%changelog
* Wed Feb 16 2000 Cristian Gafton <gafton@redhat.com>
- fix stupid typo in the preun script

* Tue Feb 01 2000 Cristian Gafton <gafton@redhat.com>
- add the initscript from joshua
- remove uselss define version
- add %post and %preun

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- strip binary

* Mon Aug 23 1999 Jeff Johnson <jbj@redhat.com>
- nuke backspaces in HOWTO.txt (#4249).

* Mon May 31 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.9.

* Tue May 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- new ipchains-scripts release 1.1.2
- ipfwadm-wrapper should be called ipfwadm with symlink to old name
  (users can install old ipfwadm as ipfwadm.real if they wish)

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- obsolete phantom ipchains-scripts package that's been floating around...

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Nov 17 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
